Skip to main content
POST
/
surveys
/
{id}
/
agent
/
threads
Create agent thread
curl --request POST \
  --url https://api.questra.ai/surveys/{id}/agent/threads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Org-Id: <x-org-id>' \
  --data '
{
  "id": "<string>",
  "metadata": {}
}
'
{
  "id": "<string>",
  "orgId": "<string>",
  "userId": "<string>",
  "agentId": "<string>",
  "integrationId": "<string>",
  "surveyId": "<string>",
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "lastMessageAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.questra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Unique ID or slug of the survey

Body

application/json
id
string

Optional client-provided thread id.

metadata
object

Response

201 - application/json

Agent thread.

id
string
required
orgId
string
required
userId
string
required
agentId
string
required
integrationId
string | null
required
surveyId
string | null
required
metadata
object
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
lastMessageAt
string<date-time> | null
required